Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface COMMBean

public interface COMMBean
extends ConfigurationMBean

This bean represents the server-wide configuration of COM

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getNTAuthHost()` The address of the primary domain controller to be used for authenticating clients.
`boolean` | `isApartmentThreaded()` Controls the flag that is used to initialize COM in native mode.
`boolean` | `isMemoryLoggingEnabled()` Enables logging of memory usage
`boolean` | `isNativeModeEnabled()` Use native DLLs to allow Java objects to interact with COM Objects.
`boolean` | `isPrefetchEnums()` Some COM methods return a COM VariantEnumeration type.
`boolean` | `isVerboseLoggingEnabled()` Enables verbose logging.
`void` | `setApartmentThreaded(boolean b)` Sets the apartmentThreaded attribute of the COMMBean object
`void` | `setMemoryLoggingEnabled(boolean enable)` Sets the memoryLoggingEnabled attribute of the COMMBean object
`void` | `setNativeModeEnabled(boolean enable)` Sets the nativeModeEnabled attribute of the COMMBean object
`void` | `setNTAuthHost(java.lang.String host)` Sets the nTAuthHost attribute of the COMMBean object
`void` | `setPrefetchEnums(boolean enable)` Sets the prefetchEnums attribute of the COMMBean object
`void` | `setVerboseLoggingEnabled(boolean enable)` Sets the verboseLoggingEnabled attribute of the COMMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getNTAuthHost

    public java.lang.String getNTAuthHost()

  The address of the primary domain controller to be used for authenticating clients. If this property is not set, COM clients will not be authenticated.

  Returns:
    The nTAuthHost value

### setNTAuthHost

    public void setNTAuthHost(java.lang.String host)

  Sets the nTAuthHost attribute of the COMMBean object

  Parameters:
    `host` - The new nTAuthHost value

### isNativeModeEnabled

    public boolean isNativeModeEnabled()

  Use native DLLs to allow Java objects to interact with COM Objects. Only supported on Windows.

  Default Value: false
  Returns:
    The nativeModeEnabled value

### setNativeModeEnabled

    public void setNativeModeEnabled(boolean enable)

  Sets the nativeModeEnabled attribute of the COMMBean object

  Parameters:
    `enable` - The new nativeModeEnabled value

### isVerboseLoggingEnabled

    public boolean isVerboseLoggingEnabled()

  Enables verbose logging.

  Default Value: false
  Returns:
    The verboseLoggingEnabled value

### setVerboseLoggingEnabled

    public void setVerboseLoggingEnabled(boolean enable)

  Sets the verboseLoggingEnabled attribute of the COMMBean object

  Parameters:
    `enable` - The new verboseLoggingEnabled value

### isMemoryLoggingEnabled

    public boolean isMemoryLoggingEnabled()

  Enables logging of memory usage

  Default Value: false
  Returns:
    The memoryLoggingEnabled value

### setMemoryLoggingEnabled

    public void setMemoryLoggingEnabled(boolean enable)

  Sets the memoryLoggingEnabled attribute of the COMMBean object

  Parameters:
    `enable` - The new memoryLoggingEnabled value

### isPrefetchEnums

    public boolean isPrefetchEnums()

  Some COM methods return a COM VariantEnumeration type. The java2com tool automatically converts the returned type into a java.lang.Enumeration. This is not a perfect match since COM enumerations have no equivalent to the `hasMoreElements()` call. The client must continue to call `nextElement` until a `NoSuchElementException` occurs. Setting this property will cause jCOM to prefetch the next element in behind the scenes and return the correct value when hasMoreElements is called.

  Returns:
    The prefetchEnums value

### setPrefetchEnums

    public void setPrefetchEnums(boolean enable)

  Sets the prefetchEnums attribute of the COMMBean object

  Parameters:
    `enable` - The new prefetchEnums value

### isApartmentThreaded

    public boolean isApartmentThreaded()

  Controls the flag that is used to initialize COM in native mode. By default, jCOM initializes COM using the COINIT_MULTITHREADED_FLAG. If the server logs a Class Not Registered Message when using native mode, try setting this property. (COINIT_APARTMENTTHREADED)

  Default Value: false
  Returns:
    The apartmentThreaded value

### setApartmentThreaded

    public void setApartmentThreaded(boolean b)

  Sets the apartmentThreaded attribute of the COMMBean object

  Parameters:
    `b` - The new apartmentThreaded value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD